Bug 450371 - (sigen) Review Request: sigen - Strategy/RPG game engine
Review Request: sigen - Strategy/RPG game engine
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
: 461445 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-07 01:28 EDT by Ben Boeckel
Modified: 2008-09-23 08:40 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-23 08:40:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2008-06-07 01:28:01 EDT
Spec link:
http://www.hypersonicsoft.org/projects/downloads/PokéGen/nightly/pokegen.spec
SRPM link:
http://www.hypersonicsoft.org/projects/downloads/PokéGen/nightly/pokegen-0.0.1-3.fc9.src.rpm
Description: A highly customizable game engine for RPG/strategy games.

I need sponsored.
Comment 1 Stefan Posdzich 2008-06-17 20:16:51 EDT
These links are broken.
You need to fix these 2 links so that someone can look at it!
Comment 2 Ben Boeckel 2008-06-17 20:56:12 EDT
Ah, yes. I recently changed the name of the project from PokéGen to Pokégen.
Forgot about that here. I also have a new build of it. I'll update as soon as I
commit my latest changes and build the RPM.
Comment 3 Ben Boeckel 2008-06-17 21:23:40 EDT
I've run through the review checklist myself, but I probably missed something.
Definitely better than before :) .
New SRPM:
http://hypersonicsoft.org/projects/downloads/Pokégen/nightly/pokegen-0.0.2-0.3.f
New SPEC:
http://hypersonicsoft.org/projects/downloads/Pokégen/nightly/pokegen.spec
Comment 7 Peter Fernandes 2008-06-22 19:00:08 EDT
__Review__

Here's the output from rpmlint:

[root@peter redhat]# rpmlint pokegen
pokegen.i386: W: no-documentation
pokegen.i386: W: incoherent-version-in-changelog 0.0.2-0.3
0.0.2-0.3.fc9.20080617svn210
pokegen.i386: W: undefined-non-weak-symbol /usr/lib/libpokebattle.so.0.0.2
_ZN10Pokebattle5Arena16remakeCollectionEv
pokegen.i386: W: undefined-non-weak-symbol /usr/lib/libpokebattle.so.0.0.2
_ZN10Pokebattle5Arena7cleanUpEv
pokegen.i386: W: undefined-non-weak-symbol /usr/lib/libpokebattle.so.0.0.2
_ZNK10Pokebattle4Team7pokemodEv
pokegen.i386: W: unused-direct-shlib-dependency /usr/lib/libpokebattle.so.0.0.2
/usr/lib/libQtXml.so.4
pokegen.i386: W: unused-direct-shlib-dependency /usr/lib/libpokebattle.so.0.0.2
/lib/libpthread.so.0
pokegen.i386: W: unused-direct-shlib-dependency /usr/lib/libpokebattle.so.0.0.2
/lib/libm.so.6
pokegen.i386: W: unused-direct-shlib-dependency /usr/lib/libpokemod.so.0.0.2
/lib/libpthread.so.0
pokegen.i386: W: unused-direct-shlib-dependency /usr/lib/libpokemod.so.0.0.2
/lib/libm.so.6

There was no output from "rpmlint pokegen-devel".

There are no doc files in the non-devel package, and there's an odd version jump
in the changelog that doesn't make sense to anyone reading:

* Sun Jun 17 2008 Ben Boeckel <MathStuf@gmail.com> 0.0.2-0.3
- New SVN revision
- Fixes for release versioning
- clean section fixed

* Sun Jun 08 2008 Ben Boeckel <MathStuf@gmail.com> 0.0.2-2
- New SVN revision
- Fixes for name change

There's also some unused libraries such as libpthread that I suppose are being
dragged in my qmake-qt4.  You can fix this by modifying the CONFIG variable in
your .pro file.

eg.
CONFIG -= qt \
thread \
X11 \
gui \
core

The SRPM fails to build in mock:
ERROR: No Spec file found in srpm: pokegen-0.0.2-0.3.fc9.20080617svn210.src.rpm

That's it. :)
Comment 8 Ben Boeckel 2008-06-30 19:42:01 EDT
I forgot to mention that I am upstream. I've taken care of rpmlint warnings
(except for -devel not having documentation) that I found. The versions have
been fixed (looking at the SVN history) to be accurate. I've moved to cmake, so
the extraneous libraries are no longer a problem. Here are the new spec and SRPM
files:
http://www.hypersonicsoft.org/projects/downloads/Pokégen/nightly/pokegen-0.0.2-0.7.20080630svn221.fc9.src.rpm
http://www.hypersonicsoft.org/projects/downloads/Pokégen/nightly/pokegen.spec
Comment 9 Mamoru TASAKA 2008-08-03 13:39:24 EDT
I just tried to rebuild your latest srpm but it failed as below.
http://koji.fedoraproject.org/koji/taskinfo?taskID=755698

Note:
Please make build.log more verbose. The output like:
----------------------------------------------------------
Building CXX object pokemod/CMakeFiles/pokemod.dir/MapTrainerTeamMember.o
[  9%] 
Building CXX object pokemod/CMakeFiles/pokemod.dir/MapWarp.o
----------------------------------------------------------
is not useful. We want to check if Fedora compiler flags are correcly honored,
for example.
Comment 10 Ben Boeckel 2008-08-03 22:17:43 EDT
(In reply to comment #9)
> I just tried to rebuild your latest srpm but it failed as below.
> http://koji.fedoraproject.org/koji/taskinfo?taskID=755698

This is due to the new position of the phonon libraries (they are no longer in the KDE packages). I will update with my latest package which should be less dependent on whether the latest Phonon is with Qt or KDE.
 
> Note:
> Please make build.log more verbose. The output like:
> ----------------------------------------------------------
> Building CXX object pokemod/CMakeFiles/pokemod.dir/MapTrainerTeamMember.o
> [  9%] 
> Building CXX object pokemod/CMakeFiles/pokemod.dir/MapWarp.o
> ----------------------------------------------------------
> is not useful. We want to check if Fedora compiler flags are correcly honored,
> for example.

I'm using the cmake_kde4 macro, which is what the KDE packaging uses. I'd assume that the flags are set correctly there, but I will update it to use CMAKE_VERBOSE_MAKEFILE.
Comment 11 Ben Boeckel 2008-08-03 23:35:29 EDT
Fixed those problems. New specs can be found at:

http://benboeckel.net/pokegen/pokegen.spec
http://benboeckel.net/pokegen/pokegen-0.0.2-0.10.20080804svn233.fc9.src.rpm
Comment 12 Mamoru TASAKA 2008-08-04 00:42:52 EDT
Again just tried to rebuild and this time rebuild failed seemingly by some obvious reason:
http://koji.fedoraproject.org/koji/taskinfo?taskID=756321
Comment 13 Ben Boeckel 2008-08-04 02:56:33 EDT
New RPM problem with not creating the buildroot. Fixed in:

http://benboeckel.net/pokegen/pokegen.spec
http://benboeckel.net/pokegen/pokegen-0.0.2-0.11.20080804svn234.fc9.src.rpm
Comment 14 Mamoru TASAKA 2008-08-04 14:39:59 EDT
Once setting FE-Legal. spot, how do you think about naming?
Comment 15 Mamoru TASAKA 2008-08-04 14:59:31 EDT
By the way aside from naming:

* SourceURL
  https://fedoraproject.org/wiki/Packaging/SourceURL#Using_Revision_Control
  - If you are using svn controlled tarball, you should write in the spec
    file as comments how you created the tarball using as Source.

* Macros
  - Use macros properly. /usr should be %{_prefix}:
    https://fedoraproject.org/wiki/Packaging/RPMMacros

** Scriptlets
 * mimeinfo
   - Please follow
     https://fedoraproject.org/wiki/Packaging/ScriptletSnippets#mimeinfo

 * desktop database
   - As pokemodr.desktop has Mimetype entry, please follow
     https://fedoraproject.org/wiki/Packaging/ScriptletSnippets#desktop-database

* Unused direct dependencies
  - rpmlint shows (note: rpmlint can be used for installed rpms)
--------------------------------------------------------------
pokegen.i386: W: unused-direct-shlib-dependency /usr/lib/libpokebattle.so.0.0.2 /usr/lib/libpokescripting.so.0
pokegen.i386: W: unused-direct-shlib-dependency /usr/lib/libpokebattle.so.0.0.2 /usr/lib/libkdeui.so.5
pokegen.i386: W: unused-direct-shlib-dependency /usr/lib/libpokebattle.so.0.0.2 /usr/lib/libQtSvg.so.4
pokegen.i386: W: unused-direct-shlib-dependency /usr/lib/libpokebattle.so.0.0.2 /usr/lib/libkdecore.so.5
pokegen.i386: W: unused-direct-shlib-dependency /usr/lib/libpokebattle.so.0.0.2 /lib/libpthread.so.0
--------------------------------------------------------------
    You can check this by
    $ ldd -u /usr/lib/libpokebattle.so

    Usually even with these unused direct dependencies left the program/libraries
    should work. However this may bring about unneeded dependency for the rpm
    including the program/library. As you are the upstream, you may want to
    fix this issue.
Comment 17 Mamoru TASAKA 2008-08-06 10:50:26 EDT
For -12:

* Scriptlets
---------------------------------------------------
# env LANG=C rpm -Fvh *i386*rpm
Preparing...                ########################################### [100%]
   1:pokegen                ########################################### [100%]
/sbin/ldconfig: relative path `2' used to build cache
error: %post(pokegen-0.0.2-0.12.20080804svn236.fc10.i386) scriptlet failed, exit status 1
---------------------------------------------------
  - "%post -p /sbin/ldconfig" can be used when only /sbin/ldconfig is called
    on %post. If other commands are executed like this, don't use "-p /sbin/ldconfig"
    and simply use:
---------------------------------------------------
%post
/sbin/ldconfig
update-desktop-database &> /dev/null || :
.............
---------------------------------------------------

! rpmlint
  - rpmlint shows there are still some unused direct dependencies on
    installed libraries.
    You can check this also by
---------------------------------------------------
$ ldd -u /usr/lib/libpokebattle.so.0
Unused direct dependencies:

        /usr/lib/libpokemod.so.0
        /usr/lib/libphonon.so.4
        /usr/lib/libkrosscore.so.4
        /usr/lib/libQtGui.so.4
        /usr/lib/libQtXml.so.4
        /lib/libm.so.6
---------------------------------------------------
    , for example. While this is _not_ a blocker, you may want to fix this.
Comment 18 Kevin Kofler 2008-08-06 22:09:44 EDT
The unused direct dependencies might be partly KDE's fault. Upstream knows about it and is working on fixing it for 4.2. (AFAIK some parts of the fix are in 4.1, but disabled by default.) So we'll be working to get this sorted out in the KDE packages.

However, some of those are also caused by pokegen's own libraries: preferably, all shared libraries should use:
set_target_properties(targetname PROPERTIES LINK_INTERFACE_LIBRARIES "")
(CMake defaults to linking in all indirect dependencies directly, and this is unlikely to change for compatibility reasons, unless the Fedora CMake gets patched. While ELF with GNU ld, as currently used in Fedora, lets you use symbols from indirectly-linked dependencies just fine, most platforms don't allow that, and the new "gold" linker might also be stricter, so changing this default behavior is considered an incompatible change.)

Note that CMake 2.4 ignores this property, so it will only help for 2.6 (currently only Rawhide).
Comment 19 Mamoru TASAKA 2008-08-07 01:49:35 EDT
Kevin, thanks for the help. As I am not cmake or KDE expert it is really
appreciated.
Comment 20 Mamoru TASAKA 2008-08-14 10:14:54 EDT
ping?
Comment 21 Ben Boeckel 2008-08-14 17:14:52 EDT
I thought we were waiting on Legal for the name. I have the fix with the ldconfig, but I have other changes that would horribly break if I committed everything (my SVN policy isn't really The Right Way with me being the only developer). If needed, I'll update the SRPM and SPEC there, but it won't match upstream for a bit.
Comment 22 Mamoru TASAKA 2008-08-16 10:04:25 EDT
Ah, okay. Then we will wait for spot's reply.
Comment 23 Ben Boeckel 2008-08-18 15:58:48 EDT
With less unused links (only libm left) and the ldconfig mistake is fixed now.
http://benboeckel.net/pokegen/pokegen.spec
http://benboeckel.net/pokegen/pokegen-0.0.2-0.14.20080818svn240.fc9.src.rpm
Comment 24 Mamoru TASAKA 2008-08-21 08:16:47 EDT
Note:
Currently Fedora build server (koji) is down and I will postpone this review
request until build server gets up again.
Comment 25 Mamoru TASAKA 2008-08-23 12:35:07 EDT
I will restart checking.
Comment 26 Mamoru TASAKA 2008-08-26 11:15:41 EDT
Okay, I can say the packaging of the latest srpm is good, so I will wait
for spot's reply of how he think about naming (and summary).
Comment 27 Mamoru TASAKA 2008-09-01 10:58:06 EDT
To spot:

Sorry again, however would you here us about your opinion for the naming of this package?
Comment 28 Tom "spot" Callaway 2008-09-02 10:41:11 EDT
Wow. We're really walking the line on fair use. The Summary is OK, it falls safely into the realm of fair use (you should make it say Pokémon (TM) ).

I really think that upstream should strongly consider using a name that isn't a direct derivation of Nintendo's trademark, given that Nintendo is notoriously litigous about their marks, and has explicitly stated that individuals do not have permissions to use their Pokémon (TM) related marks (not to mention going to the WIPO to reclaim related domain names and filing C&D over trademark issues).

The question is whether Pokégen is "identical or confusingly similar" to Pokémon (TM). I really hate to say this, but I think it fails that test, thus, it is likely infringing upon Nintendo's trademark. If it were "pkgen", I would say it is unique enough, but as is, especially given the word structure and the use of the apostrophe... let me put it this way: if I showed a young child the word "Pokégen", they would likely confuse it for "Pokémon".

I don't see any other trademark concerns in the code (you're not using the creature names), but you're going to need to rename this before it is okay. As I said before, "pkgen" would be one possible alternative that would be acceptable.
Comment 29 Ben Boeckel 2008-09-02 17:18:51 EDT
Alright. If there's no objections to "sigen" (for "sigma game engine") within the week, I'll rename the sourceforge page. I'll work on getting the source to not use the old name in the meantime.
Comment 30 Tom "spot" Callaway 2008-09-02 18:02:30 EDT
"sigen" is perfectly fine. :)
Comment 31 Mamoru TASAKA 2008-09-03 14:09:41 EDT
Thank you for your clarification, spot.

So when mathstuf updates srpm with the new name, I will check it again.
Comment 32 Ben Boeckel 2008-09-03 15:32:52 EDT
SF services seem to be relocating and are therefore down for a few days (SVN commit is down tomorrow, renamer is down). Should I leave the history intact for the SPEC file?
Comment 33 Mamoru TASAKA 2008-09-03 22:41:56 EDT
(In reply to comment #32)
> Should I leave the history intact
> for the SPEC file?

I would keep it intact and I recommend it.
Comment 34 Ben Boeckel 2008-09-07 22:56:55 EDT
New review request: <https://bugzilla.redhat.com/show_bug.cgi?id=461445>
Comment 35 Mamoru TASAKA 2008-09-07 23:25:45 EDT
*** Bug 461445 has been marked as a duplicate of this bug. ***
Comment 36 Mamoru TASAKA 2008-09-07 23:26:34 EDT
Changing summary.
Comment 37 Mamoru TASAKA 2008-09-07 23:33:34 EDT
(new spec/srpm from the reporter:

Spec URL: http://benboeckel.net/sigen/sigen.spec
SRPM URL: http://benboeckel.net/sigen/sigen-0.0.2-0.16.20080907svn255.fc9.src.rpm )
Comment 38 Mamoru TASAKA 2008-09-08 13:33:04 EDT
Removing FE-Legal.
Comment 39 Mamoru TASAKA 2008-09-08 14:07:42 EDT
Well, for sigen 0.0.2-0.16.svn

* Summary, description
  - Usually "The Sigma Game Engine is" is redundant for summary
  - rpmlint warns:
--------------------------------------------------------
sigen.i386: E: description-line-too-long The Sigma Game Engine is an RPG/Strategy game engine. The following is provided:
--------------------------------------------------------
    %description lines should have less than 80 characters.

* make build log more verbose
  - Well, maybe I forgot to mention this before (umm), however
    current build.log shows:
--------------------------------------------------------
  1766  Building CXX object sigscript/CMakeFiles/sigscript.dir/SigmodWrapper.o
  1767  [ 51%] 
  1768  Building CXX object sigscript/CMakeFiles/sigscript.dir/SkinWrapper.o
  1769  [ 51%] 
  1770  Building CXX object sigscript/CMakeFiles/sigscript.dir/SoundWrapper.o
  1771  [ 51%] 
  1772  Building CXX object sigscript/CMakeFiles/sigscript.dir/SpeciesWrapper.o
  1773  [ 52%] 
  1774  Building CXX object sigscript/CMakeFiles/sigscript.dir/SpeciesAbilityWrapper.o
--------------------------------------------------------
     which is not useful, for example we cannot check from this log
     if Fedora specific compilation flags are honored correctly.
     Perhaps as this uses cmake "make VERBOSE=1 %{_smp_mflags}" will
     show more verbose logs. Please refer to:
     https://fedoraproject.org/wiki/Packaging/cmake

* %doc
  - Files under %docdir are automatically marked as %doc

* Directory ownership issue
  - The directory %{_docdir}/%{name}-%{version}/ is not owned by any packages
    (please refer to:
     https://fedoraproject.org/wiki/PackagingDrafts/UnownedDirectories )
Comment 40 Mamoru TASAKA 2008-09-08 14:09:58 EDT
Then:
-------------------------------------------------------------
NOTE: Before being sponsored:

This package will be accepted with another few work. 
But before I accept this package, someone (I am a candidate) 
must sponsor you.

Once you are sponsored, you have the right to review other 
submitters' review requests and approve the packages formally. 
For this reason, the person who want to be sponsored (like you) 
are required to "show that you have an understanding 
of the process and of the packaging guidelines" as is described
on :
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Usually there are two ways to show this.
A. submit other review requests with enough quality.
B. Do a "pre-review" of other person's review request
   (at the time you are not sponsored, you cannot do
   a formal review)

When you have submitted a new review request or have pre-reviewed other 
person's review request, please write the bug number on this bug report 
so that I can check your comments or review request.

Fedora package collection review requests which are waiting for someone to
review can be checked on:
http://fedoraproject.org/PackageReviewStatus/NEW.html
(NOTE: please don't choose "Merge Review")


Review guidelines are described mainly on:
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
------------------------------------------------------------

For your case, you have another review request (bug 447844), however
your latest srpm on that bug does not build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=813914

Would you also update the srpm on bug 447844 for sponsoring process?
Comment 41 Ben Boeckel 2008-09-08 14:44:05 EDT
(In reply to comment #39)
> Well, for sigen 0.0.2-0.16.svn
> 
> * Summary, description
>   - Usually "The Sigma Game Engine is" is redundant for summary
>   - rpmlint warns:
> --------------------------------------------------------
> sigen.i386: E: description-line-too-long The Sigma Game Engine is an
> RPG/Strategy game engine. The following is provided:
> --------------------------------------------------------
>     %description lines should have less than 80 characters.

Fixed.

> * make build log more verbose
>   - Well, maybe I forgot to mention this before (umm), however
>     current build.log shows:
> --------------------------------------------------------
>   1766  Building CXX object sigscript/CMakeFiles/sigscript.dir/SigmodWrapper.o
>   1767  [ 51%] 
>   1768  Building CXX object sigscript/CMakeFiles/sigscript.dir/SkinWrapper.o
>   1769  [ 51%] 
>   1770  Building CXX object sigscript/CMakeFiles/sigscript.dir/SoundWrapper.o
>   1771  [ 51%] 
>   1772  Building CXX object sigscript/CMakeFiles/sigscript.dir/SpeciesWrapper.o
>   1773  [ 52%] 
>   1774  Building CXX object
> sigscript/CMakeFiles/sigscript.dir/SpeciesAbilityWrapper.o
> --------------------------------------------------------
>      which is not useful, for example we cannot check from this log
>      if Fedora specific compilation flags are honored correctly.
>      Perhaps as this uses cmake "make VERBOSE=1 %{_smp_mflags}" will
>      show more verbose logs. Please refer to:
>      https://fedoraproject.org/wiki/Packaging/cmake

I had had this before. I guess it slipped past my filter for what to commit to the repo (and therefore used to build the SPEC/SRPM I upload) since when building locally, I keep the output to a minimum.

> * %doc
>   - Files under %docdir are automatically marked as %doc
> 
> * Directory ownership issue
>   - The directory %{_docdir}/%{name}-%{version}/ is not owned by any packages
>     (please refer to:
>      https://fedoraproject.org/wiki/PackagingDrafts/UnownedDirectories )

Fixed.

Thank you.
SPRM: http://benboeckel.net/sigen/sigen-0.0.2-0.18.20080907svn257.fc9.src.rpm
SPEC: http://benboeckel.net/sigen/sigen.spec
Comment 42 Ben Boeckel 2008-09-08 15:31:27 EDT
(In reply to comment #40)
> For your case, you have another review request (bug 447844), however
> your latest srpm on that bug does not build:
> http://koji.fedoraproject.org/koji/taskinfo?taskID=813914
> 
> Would you also update the srpm on bug 447844 for sponsoring process?

It's going to take a bit longer than I thought it would when I first undertook the task. I need to analyze the buildscript provided and separate what is noarch and what isn't and make subpackages as needed. I'll keep working on it as it's a nice tool I'd like to have.
Comment 43 Mamoru TASAKA 2008-09-10 02:40:08 EDT
Okay, now this package itself is okay.

(In reply to comment #42)
> (In reply to comment #40)
> > For your case, you have another review request (bug 447844), however
> > your latest srpm on that bug does not build:
> > http://koji.fedoraproject.org/koji/taskinfo?taskID=813914
> > 
> > Would you also update the srpm on bug 447844 for sponsoring process?
> 
> It's going to take a bit longer than I thought it would when I first undertook
> the task. I need to analyze the buildscript provided and separate what is
> noarch and what isn't and make subpackages as needed. I'll keep working on it
> as it's a nice tool I'd like to have.

Just noting that the actual build log is available from "build.log" on
http://koji.fedoraproject.org/koji/taskinfo?taskID=813919
Comment 44 Ben Boeckel 2008-09-17 00:55:09 EDT
I assume you have to enable CVS access. My FAS account is "mathstuf". I don't see myself as part of the packager group yet (or do I have to apply first?)
Comment 45 Mamoru TASAKA 2008-09-17 01:36:55 EDT
Well, as said on my comment 40, you have to either
- pre-review other persion's review request
- or submit another review request of yours
so as to "show that you have an understanding of the process and of the packaging guidelines"
before getting sponsored.

This is one review request and for your case I am waiting for you to
update bug 447844 (i.e. your another review request).

Once re-setting NEEDSPONSOR.
Comment 46 Ben Boeckel 2008-09-17 11:27:18 EDT
Ah. Didn't understand that I needed two packages or reviews. Will work on krazy2 today.
Comment 47 Mamoru TASAKA 2008-09-19 01:49:34 EDT
Okay, now as krazy2 is in good shape,

--------------------------------------------------------------------
     This package (sigen) is APPROVED by mtasaka
--------------------------------------------------------------------

Please follow the procedure written on:
http://fedoraproject.org/wiki/PackageMaintainers/Join

I found your account on FAS (Fedora Account System), however it
seems that your FAS mail account differs from that you use on this
bugzilla. Please fix either of them, then I will sponsor you.

If you want to import this package into Fedora 8/9, you also have
to look at
http://fedoraproject.org/wiki/Infrastructure/UpdatesSystem/Bodhi-info-DRAFT
(after once you rebuilt this package on koji Fedora rebuilding system).

If you have questions, please ask me.
Comment 48 Ben Boeckel 2008-09-19 08:32:17 EDT
(In reply to comment #47)
> I found your account on FAS (Fedora Account System), however it
> seems that your FAS mail account differs from that you use on this
> bugzilla. Please fix either of them, then I will sponsor you.
They differ by case. FAS and BZ says an email address already exists when I try to change either one of them (BZ used all lower case when I joined IIRC; I'd have used the "correct" case if I could). If they need to match 100%, where can I request that the already-exists error be overridden?
Comment 49 Ben Boeckel 2008-09-19 09:23:55 EDT
Nevermind, used an intermediate email address. FAS is now all lower case.
Comment 50 Mamoru TASAKA 2008-09-19 09:46:57 EDT
Okay now I am sponsoring you. Please follow "Join" wiki again.
Comment 51 Ben Boeckel 2008-09-19 10:21:30 EDT
New Package CVS Request
=======================
Package Name: sigen
Short Description: Strategy/RPG game engine
Owners: mathstuf
Branches: F-8 F-9
InitialCC:
Comment 52 Kevin Fenzi 2008-09-20 20:33:15 EDT
cvs done.
Comment 53 Ben Boeckel 2008-09-23 08:40:27 EDT
Pushed to Bodhi this morning. Closing.

Note You need to log in before you can comment on or make changes to this bug.